<div
  data-name={{this.value.name}}
  data-col-name={{this.value.name}}
  data-type="slot"
  data-path={{concat @path}}
  data-editor="slot"
  class="page-col page-col-{{this.valueClass}} {{if this.hasFillSize 'size-fill'}} {{if this.hasType '' 'empty use-highlights'}}"
  {{did-insert this.setup}}
  {{did-update this.setup @value @value.data}}
  style={{this.style}}
  {{on "props-update" this.updateProps}}
  ...attributes
>
  {{#if this.hasType}}
    {{component (concat "view/" this.type) path=@path value=this.value space=@space model=@model options=@options preview=@preview deviceSize=@deviceSize isEditor=@isEditor state=@state onChangeState=@onChangeState}}
  {{/if}}

  {{#if (and (not this.hasType) @isEditor)}}
    {{t "message-page-col-empty"}}
  {{/if}}
</div>